# Acceptor.h File Reference

`#include "ace/Service_Object.h"`
`#include "ace/Strategies_T.h"`
`#include "ace/Synch_Options.h"`
`#include "ace/Acceptor.cpp"`

Include dependency graph for Acceptor.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Acceptor< SVC_HANDLER, >
| Abstract factory for creating a service handler (SVC_HANDLER), accepting into the SVC_HANDLER, and activating the SVC_HANDLER. More...
class | ACE_Strategy_Acceptor< SVC_HANDLER, >
| Abstract factory for creating a service handler (SVC_HANDLER), accepting into the SVC_HANDLER, and activating the SVC_HANDLER. More...
class | ACE_Oneshot_Acceptor< SVC_HANDLER, >
| Generic factory for passively connecting clients and creating exactly one service handler (SVC_HANDLER). More...

## Detailed Description

Id
  Acceptor.h,v 4.48 2005/10/28 16:14:51 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>